> For the complete documentation index, see [llms.txt](https://docs.patascore.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.patascore.com/financial-education/fetch-websocket-conversaction.md).

# Fetch Websocket Conversaction

## Get Cakes

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/v1/message/all?customerUuid=[customer_uuid]&sessionUuid=[session_uuid]`

This endpoint allows you to get free cakes.

#### Path Parameters

| Name | Type   | Description                                |
| ---- | ------ | ------------------------------------------ |
| id   | string | ID of the cake to get, for free of course. |

#### Headers

| Name           | Type   | Description                                                    |
| -------------- | ------ | -------------------------------------------------------------- |
| Authentication | string | Authentication token to track down who is emptying our stocks. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "status": 200,
    "message": "Messages successfully fetched",
    "data": [
        {
            "id": 888,
            "message": "Congratulations! You have successfully been enrolled to the Test Module Updated that aims to help you climb up the financial ladder. To start, please take this pre-quiz to gauge your level of knowledge before the training.\n Reply with 1 to start.",
            "session_uuid": "ea922437-0364-456d-a454-1ed530419292",
            "message_type": "SENT",
            "date_time": "15/04/2020 16:52"
        },
        {
            "id": 889,
            "message": "1",
            "session_uuid": "ea922437-0364-456d-a454-1ed530419292",
            "message_type": "RECEIVED",
            "date_time": "15/04/2020 16:56"
        }    ]
}


```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.patascore.com/financial-education/fetch-websocket-conversaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
